## hydra 0.1.0

=== DESCRIPTION ===
Package: hydra
Type: Package
Title: Hyperbolic Embedding
Version: 0.1.0
Author: Martin Keller-Ressel
Maintainer: Martin Keller-Ressel <martin.keller-ressel@tu-dresden.de>
Description: Calculate an optimal embedding of a set of data points into low-dimensional hyperbolic space. This uses the strain-minimizing hyperbolic embedding of Keller-Ressel and Nargang (2019), see <arXiv:1903.08977>. 
Suggests: igraph, igraphdata, Matrix, RSpectra
License: GPL-2
Encoding: UTF-8
LazyData: true
RoxygenNote: 6.1.1
NeedsCompilation: no
Packaged: 2019-04-01 14:55:36 UTC; mkeller
Repository: CRAN
Date/Publication: 2019-04-04 16:10:07 UTC

## hydra 4.1

=== hydra-gtk/Makefile ===
# Makefile.in generated automatically by automake 1.4-p6 from Makefile.am

# Copyright (C) 1994, 1995-8, 1999, 2001 Free Software Foundation, Inc.
# This Makefile.in is free software; the Free Software Foundation
# gives unlimited permission to copy and/or distribute it,
# with or without modifications, as long as this notice is preserved.

# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
# PARTICULAR PURPOSE.


SHELL = /bin/sh

srcdir = .
top_srcdir = .

prefix = /usr/local
exec_prefix = ${prefix}

bindir = ${exec_prefix}/bin
sbindir = ${exec_prefix}/sbin
libexecdir = ${exec_prefix}/libexec
datadir = ${prefix}/share
sysconfdir = ${prefix}/etc
sharedstatedir = ${prefix}/com
localstatedir = ${prefix}/var
libdir = ${exec_prefix}/lib
infodir = ${prefix}/info
mandir = ${prefix}/man
includedir = ${prefix}/include
oldincludedir = /usr/include

DESTDIR =

pkgdatadir = $(datadir)/xhydra
pkglibdir = $(libdir)/xhydra
pkgincludedir = $(includedir)/xhydra

top_builddir = .

ACLOCAL = /root/xhydra/missing aclocal-1.4
AUTOCONF = autoconf
AUTOMAKE = /root/xhydra/missing automake-1.4
AUTOHEADER = autoheader

INSTALL = /usr/bin/install -c
INSTALL_PROGRAM = ${INSTALL} $(AM_INSTALL_PROGRAM_FLAGS)
INSTALL_DATA = ${INSTALL} -m 644
INSTALL_SCRIPT = ${INSTALL}
transform = s,x,x,

NORMAL_INSTALL = :
PRE_INSTALL = :
POST_INSTALL = :
NORMAL_UNINSTALL = :
PRE_UNINSTALL = :
POST_UNINSTALL = :
CC = gcc
MAINT = #
MAKEINFO = makeinfo
PACKAGE = xhydra
PACKAGE_CFLAGS = -I/usr/include/gtk-2.0 -I/usr/lib/gtk-2.0/include -I/usr/include/atk-1.0 -I/usr/include/pango-1.0 -I/usr/include/freetype2 -I/usr/X11R6/include -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include  
PACKAGE_LIBS = -Wl,--export-dynamic -lgtk-x11-2.0 -lgdk-x11-2.0 -latk-1.0 -lgdk_pixbuf-2.0 -lm -lpangoxft-1.0 -lpangox-1.0 -lpango-1.0 -lgobject-2.0 -lgmodule-2.0 -ldl -lglib-2.0  
PKG_CONFIG = /usr/bin/pkg-config
VERSION = 0.1

SUBDIRS = src

EXTRA_DIST =  	autogen.sh 	xhydra.glade 	xhydra.gladep

ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
mkinstalldirs = $(SHELL) $(top_srcdir)/mkinstalldirs
CONFIG_HEADER = config.h
CONFIG_CLEAN_FILES = 
DIST_COMMON =  README ./stamp-h.in AUTHORS COPYING ChangeLog INSTALL \
Makefile.am Makefile.in NEWS acconfig.h aclocal.m4 config.h.in \
configure configure.in install-sh missing mkinstalldirs


DISTFILES = $(DIST_COMMON) $(SOURCES) $(HEADERS) $(TEXINFOS) $(EXTRA_DIST)

TAR = tar
GZIP_ENV = --best
all: all-redirect
.SUFFIXES:
$(srcdir)/Makefile.in: # Makefile.am $(top_srcdir)/configure.in $(ACLOCAL_M4) 
	cd $(top_srcdir) && $(AUTOMAKE) --gnu Makefile

Makefile: $(srcdir)/Makefile.in  $(top_builddir)/config.status $(BUILT_SOURCES)
	cd $(top_builddir) \
	  && CONFIG_FILES=$@ CONFIG_HEADERS= $(SHELL) ./config.status

$(ACLOCAL_M4): # configure.in 
	cd $(srcdir) && $(ACLOCAL)

config.status: $(srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
	$(SHELL) ./config.status --recheck
$(srcdir)/configure: #$(srcdir)/configure.in $(ACLOCAL_M4) $(CONFIGURE_DEPENDENCIES)
	cd $(srcdir) && $(AUTOCONF)

config.h: stamp-h
	@if test ! -f $@; then \
		rm -f stamp-h; \
		$(MAKE) stamp-h; \
	else :; fi
stamp-h: $(srcdir)/config.h.in $(top_builddir)/config.status
	cd $(top_builddir) \
	  && CONFIG_FILES= CONFIG_HEADERS=config.h \
	     $(SHELL) ./config.status
	@echo timestamp > stamp-h 2> /dev/null
$(srcdir)/config.h.in: #$(srcdir)/stamp-h.in
	@if test ! -f $@; then \
		rm -f $(srcdir)/stamp-h.in; \
		$(MAKE) $(srcdir)/stamp-h.in; \
	else :; fi
$(srcdir)/stamp-h.in: $(top_srcdir)/configure.in $(ACLOCAL_M4) acconfig.h
	cd $(top_srcdir) && $(AUTOHEADER)
	@echo timestamp > $(srcdir)/stamp-h.in 2> /dev/null

mostlyclean-hdr:

clean-hdr:

distclean-hdr:
	-rm -f config.h

maintainer-clean-hdr:

# This directory's subdirectories are mostly independent; you can cd
# into them and run `make' without going through this Makefile.
# To change the values of `make' variables: instead of editing Makefiles,
# (1) if the variable is set in `config.status', edit `config.status'
#     (which will cause the Makefiles to be regenerated when you run `make');
# (2) otherwise, pass the desired values on the `make' command line.



all-recursive install-data-recursive install-exec-recursive \
installdirs-recursive install-recursive uninstall-recursive  \
check-recursive installcheck-recursive info-recursive dvi-recursive:
	@set fnord $(MAKEFLAGS); amf=$$2; \
	dot_seen=no; \
	target=`echo $@ | sed s/-recursive//`; \
	list='$(SUBDIRS)'; for subdir in $$list; do \
	  echo "Making $$target in $$subdir"; \
	  if test "$$subdir" = "."; then \
	    dot_seen=yes; \
	    local_target="$$target-am"; \
	  else \
	    local_target="$$target"; \
	  fi; \
	  (cd $$subdir && $(MAKE) $(AM_MAKEFLAGS) $$local_target) \
	   || case "$$amf" in *=*) exit 1;; *k*) fail=yes;; *) exit 1;; esac; \
	done; \
	if test "$$dot_seen" = "no"; then \
	  $(MAKE) $(AM_MAKEFLAGS) "$$target-am" || exit 1; \
	fi; test -z "$$fail"

mostlyclean-recursive clean-recursive distclean-recursive \
maintainer-clean-recursive:
	@set fnord $(MAKEFLAGS); amf=$$2; \
	dot_seen=no; \
	rev=''; list='$(SUBDIRS)'; for subdir in $$list; do \
	  rev="$$subdir $$rev"; \
	  test "$$subdir" != "." || dot_seen=yes; \
	done; \
	test "$$dot_seen" = "no" && rev=". $$rev"; \
	target=`echo $@ | sed s/-recursive//`; \
	for subdir in $$rev; do \
	  echo "Making $$target in $$subdir"; \
	  if test "$$subdir" = "."; then \
	    local_target="$$target-am"; \
	  else \
	    local_target="$$target"; \
	  fi; \
	  (cd $$subdir && $(MAKE) $(AM_MAKEFLAGS) $$local_target) \
	   || case "$$amf" in *=*) exit 1;; *k*) fail=yes;; *) exit 1;; esac; \
	done && test -z "$$fail"
tags-recursive:
	list='$(SUBDIRS)'; for subdir in $$list; do \
	  test "$$subdir" = . || (cd $$subdir && $(MAKE) $(AM_MAKEFLAGS) tags); \
	done

tags: TAGS

ID: $(HEADERS) $(SOURCES) $(LISP)
	list='$(SOURCES) $(HEADERS)'; \
	unique=`for i in $$list; do echo $$i; done | \
	  awk '    { files[$$0] = 1; } \
	       END { for (i in files) print i; }'`; \
	here=`pwd` && cd $(srcdir) \
	  && mkid -f$$here/ID $$unique $(LISP)

TAGS: tags-recursive $(HEADERS) $(SOURCES) config.h.in $(TAGS_DEPENDENCIES) $(LISP)
	tags=; \
	here=`pwd`; \
	list='$(SUBDIRS)'; for subdir in $$list; do \
   if test "$$subdir" = .; then :; else \
	    test -f $$subdir/TAGS && tags="$$tags -i $$here/$$subdir/TAGS"; \
   fi; \
	done; \
	list='$(SOURCES) $(HEADERS)'; \
	unique=`for i in $$list; do echo $$i; done | \
	  awk '    { files[$$0] = 1; } \
	       END { for (i in files) print i; }'`; \
	test -z "$(ETAGS_ARGS)config.h.in$$unique$(LISP)$$tags" \
	  || (cd $(srcdir) && etags $(ETAGS_ARGS) $$tags config.h.in $$unique $(LISP) -o $$here/TAGS)

mostlyclean-tags:

clean-tags:

distclean-tags:
	-rm -f TAGS ID

maintainer-clean-tags:

distdir = $(PACKAGE)-$(VERSION)
top_distdir = $(distdir)

# This target untars the dist file and tries a VPATH configuration.  Then
# it guarantees that the distribution is self-contained by making another
# tarfile.
distcheck: dist
	-rm -rf $(distdir)
	GZIP=$(GZIP_ENV) $(TAR) zxf $(distdir).tar.gz
	mkdir $(distdir)/=build
	mkdir $(distdir)/=inst
	dc_install_base=`cd $(distdir)/=inst && pwd`; \
	cd $(distdir)/=build \
	  && ../configure --srcdir=.. --prefix=$$dc_install_base \
	  && $(MAKE) $(AM_MAKEFLAGS) \
	  && $(MAKE) $(AM_MAKEFLAGS) dvi \
	  && $(MAKE) $(AM_MAKEFLAGS) check \
	  && $(MAKE) $(AM_MAKEFLAGS) install \
	  && $(MAKE) $(AM_MAKEFLAGS) installcheck \
	  && $(MAKE) $(AM_MAKEFLAGS) dist
	-rm -rf $(distdir)
	@banner="$(distdir).tar.gz is ready for distribution"; \
	dashes=`echo "$$banner" | sed s/./=/g`; \
	echo "$$dashes"; \
	echo "$$banner"; \
	echo "$$dashes"
dist: distdir
	-chmod -R a+r $(distdir)
	GZIP=$(GZIP_ENV) $(TAR) chozf $(distdir).tar.gz $(distdir)
	-rm -rf $(distdir)
dist-all: distdir
	-chmod -R a+r $(distdir)
	GZIP=$(GZIP_ENV) $(TAR) chozf $(distdir).tar.gz $(distdir)
	-rm -rf $(distdir)
distdir: $(DISTFILES)
	-rm -rf $(distdir)
	mkdir $(distdir)
	-chmod 777 $(distdir)
	here=`cd $(top_builddir) && pwd`; \
	top_distdir=`cd $(distdir) && pwd`; \
	distdir=`cd $(distdir) && pwd`; \
	cd $(top_srcdir) \
	  && $(AUTOMAKE) --include-deps --build-dir=$$here --srcdir-name=$(top_srcdir) --output-dir=$$top_distdir --gnu Makefile
	@for file in $(DISTFILES); do \
	  d=$(srcdir); \
	  if test -d $$d/$$file; then \
	    cp -pr $$d/$$file $(distdir)/$$file; \
	  else \
	    test -f $(distdir)/$$file \
	    || ln $$d/$$file $(distdir)/$$file 2> /dev/null \
	    || cp -p $$d/$$file $(distdir)/$$file || :; \
	  fi; \
	done
	for subdir in $(SUBDIRS); do \
	  if test "$$subdir" = .; then :; else \
	    test -d $(distdir)/$$subdir \
	    || mkdir $(distdir)/$$subdir \
	    || exit 1; \
	    chmod 777 $(distdir)/$$subdir; \
	    (cd $$subdir && $(MAKE) $(AM_MAKEFLAGS) top_distdir=../$(distdir) distdir=../$(distdir)/$$subdir distdir) \
	      || exit 1; \
	  fi; \
	done
	$(MAKE) $(AM_MAKEFLAGS) top_distdir="$(top_distdir)" distdir="$(distdir)" dist-hook
info-am:
info: info-recursive
dvi-am:
dvi: dvi-recursive
check-am: all-am
check: check-recursive
installcheck-am:
installcheck: installcheck-recursive
all-recursive-am: config.h
	$(MAKE) $(AM_MAKEFLAGS) all-recursive

install-exec-am:
install-exec: install-exec-recursive

install-data-am: install-data-local
install-data: install-data-recursive

install-am: all-am
	@$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am
install: install-recursive
uninstall-am:
uninstall: uninstall-recursive
all-am: Makefile config.h
all-redirect: all-recursive-am
install-strip:
	$(MAKE) $(AM_MAKEFLAGS) AM_INSTALL_PROGRAM_FLAGS=-s install
installdirs: installdirs-recursive
installdirs-am:


mostlyclean-generic:

clean-generic:

distclean-generic:
	-rm -f Makefile $(CONFIG_CLEAN_FILES)
	-rm -f config.cache config.log stamp-h stamp-h[0-9]*

maintainer-clean-generic:
mostlyclean-am:  mostlyclean-hdr mostlyclean-tags mostlyclean-generic

mostlyclean: mostlyclean-recursive

clean-am:  clean-hdr clean-tags clean-generic mostlyclean-am

clean: clean-recursive

distclean-am:  distclean-hdr distclean-tags distclean-generic clean-am

distclean: distclean-recursive
	-rm -f config.status

maintainer-clean-am:  maintainer-clean-hdr maintainer-clean-tags \
		maintainer-clean-generic distclean-am
	@echo "This command is intended for maintainers to use;"
	@echo "it deletes files that may require special tools to rebuild."

maintainer-clean: maintainer-clean-recursive
	-rm -f config.status

.PHONY: mostlyclean-hdr distclean-hdr clean-hdr maintainer-clean-hdr \
install-data-recursive uninstall-data-recursive install-exec-recursive \
uninstall-exec-recursive installdirs-recursive uninstalldirs-recursive \
all-recursive check-recursive installcheck-recursive info-recursive \
dvi-recursive mostlyclean-recursive distclean-recursive clean-recursive \
maintainer-clean-recursive tags tags-recursive mostlyclean-tags \
distclean-tags clean-tags maintainer-clean-tags distdir info-am info \
dvi-am dvi check check-am installcheck-am installcheck all-recursive-am \
install-exec-am install-exec install-data-local install-data-am \
install-data install-am install uninstall-am uninstall all-redirect \
all-am all installdirs-am installdirs mostlyclean-generic \
distclean-generic clean-generic maintainer-clean-generic clean \
mostlyclean distclean maintainer-clean


install-data-local:
	@$(NORMAL_INSTALL)
	if test -d $(srcdir)/pixmaps; then \
	  $(mkinstalldirs) $(DESTDIR)$(pkgdatadir)/pixmaps; \
	  for pixmap in $(srcdir)/pixmaps/*; do \
	    if test -f $$pixmap; then \
	      $(INSTALL_DATA) $$pixmap $(DESTDIR)$(pkgdatadir)/pixmaps; \
	    fi \
	  done \
	fi

dist-hook:
	if test -d pixmaps; then \
	  mkdir $(distdir)/pixmaps; \
	  for pixmap in pixmaps/*; do \
	    if test -f $$pixmap; then \
	      cp -p $$pixmap $(distdir)/pixmaps; \
	    fi \
	  done \
	fi

# Tell versions [3.59,3.63) of GNU make to not export all variables.

=== palm/Makefile ===
OPTS=-DPALM -Wall -g3 
CC=m68k-palmos-gcc

SRC = hydra-ftp hydra-pop3 hydra-telnet hydra-vnc hydra-imap hydra-cisco hydra-nntp d3des
OBJ = hydra-ftp.o hydra-pop3.o hydra-telnet.o hydra-vnc.o hydra-imap.o hydra-cisco.o hydra-nntp.o d3des.o

hydra.prc: code0000.a.out.grc tver0001.bin
	build-prc hydra.prc "Hydra" Hydr *.a.out.grc *.bin

tver0001.bin: hydra.rcp
	pilrc hydra.rcp

code0000.a.out.grc: hydra-mod.o hydra.o $(SRC)
	$(CC) hydra.o hydra-mod.o $(OBJ)
#	m68k-palmos-strip a.out
	m68k-palmos-obj-res a.out

hydra.o: hydra.c
	$(CC) -c -o hydra.o -O2 hydra.c

hydra-mod.o: hydra-mod.c
	$(CC) -c -o hydra-mod.o -O2 hydra-mod.c

$(SRC):
	$(CC) $(OPTS) -c -o $@.o ../$@.c

clean:
	rm -f a.out *.a.out* *.bin *~ *.o *.prc

=== hydra-gtk/src/Makefile ===
# Makefile.in generated automatically by automake 1.4-p6 from Makefile.am

# Copyright (C) 1994, 1995-8, 1999, 2001 Free Software Foundation, Inc.
# This Makefile.in is free software; the Free Software Foundation
# gives unlimited permission to copy and/or distribute it,
# with or without modifications, as long as this notice is preserved.

# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
# PARTICULAR PURPOSE.


SHELL = /bin/sh

srcdir = .
top_srcdir = ..

prefix = /usr/local
exec_prefix = ${prefix}

bindir = ${exec_prefix}/bin
sbindir = ${exec_prefix}/sbin
libexecdir = ${exec_prefix}/libexec
datadir = ${prefix}/share
sysconfdir = ${prefix}/etc
sharedstatedir = ${prefix}/com
localstatedir = ${prefix}/var
libdir = ${exec_prefix}/lib
infodir = ${prefix}/info
mandir = ${prefix}/man
includedir = ${prefix}/include
oldincludedir = /usr/include

DESTDIR =

pkgdatadir = $(datadir)/xhydra
pkglibdir = $(libdir)/xhydra
pkgincludedir = $(includedir)/xhydra

top_builddir = ..

ACLOCAL = /root/xhydra/missing aclocal-1.4
AUTOCONF = autoconf
AUTOMAKE = /root/xhydra/missing automake-1.4
AUTOHEADER = autoheader

INSTALL = /usr/bin/install -c
INSTALL_PROGRAM = ${INSTALL} $(AM_INSTALL_PROGRAM_FLAGS)
INSTALL_DATA = ${INSTALL} -m 644
INSTALL_SCRIPT = ${INSTALL}
transform = s,x,x,

NORMAL_INSTALL = :
PRE_INSTALL = :
POST_INSTALL = :
NORMAL_UNINSTALL = :
PRE_UNINSTALL = :
POST_UNINSTALL = :
CC = gcc
MAINT = #
MAKEINFO = makeinfo
PACKAGE = xhydra
PACKAGE_CFLAGS = -I/usr/include/gtk-2.0 -I/usr/lib/gtk-2.0/include -I/usr/include/atk-1.0 -I/usr/include/pango-1.0 -I/usr/include/freetype2 -I/usr/X11R6/include -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include  
PACKAGE_LIBS = -Wl,--export-dynamic -lgtk-x11-2.0 -lgdk-x11-2.0 -latk-1.0 -lgdk_pixbuf-2.0 -lm -lpangoxft-1.0 -lpangox-1.0 -lpango-1.0 -lgobject-2.0 -lgmodule-2.0 -ldl -lglib-2.0  
PKG_CONFIG = /usr/bin/pkg-config
VERSION = 0.1

INCLUDES =  	-DPACKAGE_DATA_DIR=\""$(datadir)"\" 	-DPACKAGE_LOCALE_DIR=\""$(prefix)/$(DATADIRNAME)/locale"\" 	-I/usr/include/gtk-2.0 -I/usr/lib/gtk-2.0/include -I/usr/include/atk-1.0 -I/usr/include/pango-1.0 -I/usr/include/freetype2 -I/usr/X11R6/include -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include  


bin_PROGRAMS = xhydra

xhydra_SOURCES =  	main.c 	support.c support.h 	interface.c interface.h 	callbacks.c callbacks.h


xhydra_LDADD = -Wl,--export-dynamic -lgtk-x11-2.0 -lgdk-x11-2.0 -latk-1.0 -lgdk_pixbuf-2.0 -lm -lpangoxft-1.0 -lpangox-1.0 -lpango-1.0 -lgobject-2.0 -lgmodule-2.0 -ldl -lglib-2.0  
mkinstalldirs = $(SHELL) $(top_srcdir)/mkinstalldirs
CONFIG_HEADER = ../config.h
CONFIG_CLEAN_FILES = 
PROGRAMS =  $(bin_PROGRAMS)


DEFS = -DHAVE_CONFIG_H -I. -I$(srcdir) -I..
CPPFLAGS = 
LDFLAGS = 
LIBS = 
xhydra_OBJECTS =  main.o support.o interface.o callbacks.o
xhydra_DEPENDENCIES = 
xhydra_LDFLAGS = 
CFLAGS = -g -O2
COMPILE = $(CC) $(DEFS) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
CCLD = $(CC)
LINK = $(CCLD) $(AM_CFLAGS) $(CFLAGS) $(LDFLAGS) -o $@
DIST_COMMON =  Makefile.am Makefile.in


DISTFILES = $(DIST_COMMON) $(SOURCES) $(HEADERS) $(TEXINFOS) $(EXTRA_DIST)

TAR = tar
GZIP_ENV = --best
DEP_FILES =  .deps/callbacks.P .deps/interface.P .deps/main.P \
.deps/support.P
SOURCES = $(xhydra_SOURCES)
OBJECTS = $(xhydra_OBJECTS)

all: all-redirect
.SUFFIXES:
.SUFFIXES: .S .c .o .s
$(srcdir)/Makefile.in: # Makefile.am $(top_srcdir)/configure.in $(ACLOCAL_M4) 
	cd $(top_srcdir) && $(AUTOMAKE) --gnu src/Makefile

Makefile: $(srcdir)/Makefile.in  $(top_builddir)/config.status $(BUILT_SOURCES)
	cd $(top_builddir) \
	  && CONFIG_FILES=$(subdir)/$@ CONFIG_HEADERS= $(SHELL) ./config.status


mostlyclean-binPROGRAMS:

clean-binPROGRAMS:
	-test -z "$(bin_PROGRAMS)" || rm -f $(bin_PROGRAMS)

distclean-binPROGRAMS:

maintainer-clean-binPROGRAMS:

install-binPROGRAMS: $(bin_PROGRAMS)
	@$(NORMAL_INSTALL)
	$(mkinstalldirs) $(DESTDIR)$(bindir)
	@list='$(bin_PROGRAMS)'; for p in $$list; do \
	  if test -f $$p; then \
	    echo "  $(INSTALL_PROGRAM) $$p $(DESTDIR)$(bindir)/`echo $$p|sed 's/$(EXEEXT)$$//'|sed '$(transform)'|sed 's/$$/$(EXEEXT)/'`"; \
	     $(INSTALL_PROGRAM) $$p $(DESTDIR)$(bindir)/`echo $$p|sed 's/$(EXEEXT)$$//'|sed '$(transform)'|sed 's/$$/$(EXEEXT)/'`; \
	  else :; fi; \
	done

uninstall-binPROGRAMS:
	@$(NORMAL_UNINSTALL)
	list='$(bin_PROGRAMS)'; for p in $$list; do \
	  rm -f $(DESTDIR)$(bindir)/`echo $$p|sed 's/$(EXEEXT)$$//'|sed '$(transform)'|sed 's/$$/$(EXEEXT)/'`; \
	done

.s.o:
	$(COMPILE) -c $<

.S.o:
	$(COMPILE) -c $<

mostlyclean-compile:
	-rm -f *.o core *.core

clean-compile:

distclean-compile:
	-rm -f *.tab.c

maintainer-clean-compile:

xhydra: $(xhydra_OBJECTS) $(xhydra_DEPENDENCIES)
	@rm -f xhydra
	$(LINK) $(xhydra_LDFLAGS) $(xhydra_OBJECTS) $(xhydra_LDADD) $(LIBS)

tags: TAGS

ID: $(HEADERS) $(SOURCES) $(LISP)
	list='$(SOURCES) $(HEADERS)'; \
	unique=`for i in $$list; do echo $$i; done | \
	  awk '    { files[$$0] = 1; } \
	       END { for (i in files) print i; }'`; \
	here=`pwd` && cd $(srcdir) \
	  && mkid -f$$here/ID $$unique $(LISP)

TAGS:  $(HEADERS) $(SOURCES)  $(TAGS_DEPENDENCIES) $(LISP)
	tags=; \
	here=`pwd`; \
	list='$(SOURCES) $(HEADERS)'; \
	unique=`for i in $$list; do echo $$i; done | \
	  awk '    { files[$$0] = 1; } \
	       END { for (i in files) print i; }'`; \
	test -z "$(ETAGS_ARGS)$$unique$(LISP)$$tags" \
	  || (cd $(srcdir) && etags $(ETAGS_ARGS) $$tags  $$unique $(LISP) -o $$here/TAGS)

mostlyclean-tags:

clean-tags:

distclean-tags:
	-rm -f TAGS ID

maintainer-clean-tags:

distdir = $(top_builddir)/$(PACKAGE)-$(VERSION)/$(subdir)

subdir = src

distdir: $(DISTFILES)
	here=`cd $(top_builddir) && pwd`; \
	top_distdir=`cd $(top_distdir) && pwd`; \
	distdir=`cd $(distdir) && pwd`; \
	cd $(top_srcdir) \
	  && $(AUTOMAKE) --include-deps --build-dir=$$here --srcdir-name=$(top_srcdir) --output-dir=$$top_distdir --gnu src/Makefile
	@for file in $(DISTFILES); do \
	  d=$(srcdir); \
	  if test -d $$d/$$file; then \
	    cp -pr $$d/$$file $(distdir)/$$file; \
	  else \
	    test -f $(distdir)/$$file \
	    || ln $$d/$$file $(distdir)/$$file 2> /dev/null \
	    || cp -p $$d/$$file $(distdir)/$$file || :; \
	  fi; \
	done

DEPS_MAGIC := $(shell mkdir .deps > /dev/null 2>&1 || :)

-include $(DEP_FILES)

mostlyclean-depend:

clean-depend:

distclean-depend:
	-rm -rf .deps

maintainer-clean-depend:

%.o: %.c
	@echo '$(COMPILE) -c $<'; \
	$(COMPILE) -Wp,-MD,.deps/$(*F).pp -c $<
	@-cp .deps/$(*F).pp .deps/$(*F).P; \
	tr ' ' '\012' < .deps/$(*F).pp \
	  | sed -e 's/^\\$$//' -e '/^$$/ d' -e '/:$$/ d' -e 's/$$/ :/' \
	    >> .deps/$(*F).P; \
	rm .deps/$(*F).pp

%.lo: %.c
	@echo '$(LTCOMPILE) -c $<'; \
	$(LTCOMPILE) -Wp,-MD,.deps/$(*F).pp -c $<
	@-sed -e 's/^\([^:]*\)\.o[ 	]*:/\1.lo \1.o :/' \
	  < .deps/$(*F).pp > .deps/$(*F).P; \
	tr ' ' '\012' < .deps/$(*F).pp \
	  | sed -e 's/^\\$$//' -e '/^$$/ d' -e '/:$$/ d' -e 's/$$/ :/' \
	    >> .deps/$(*F).P; \
	rm -f .deps/$(*F).pp
info-am:
info: info-am
dvi-am:
dvi: dvi-am
check-am: all-am
check: check-am
installcheck-am:
installcheck: installcheck-am
install-exec-am: install-binPROGRAMS
install-exec: install-exec-am

install-data-am:
install-data: install-data-am

install-am: all-am
	@$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am
install: install-am
uninstall-am: uninstall-binPROGRAMS
uninstall: uninstall-am
all-am: Makefile $(PROGRAMS)
all-redirect: all-am
install-strip:
	$(MAKE) $(AM_MAKEFLAGS) AM_INSTALL_PROGRAM_FLAGS=-s install
installdirs:
	$(mkinstalldirs)  $(DESTDIR)$(bindir)


mostlyclean-generic:

clean-generic:

distclean-generic:
	-rm -f Makefile $(CONFIG_CLEAN_FILES)
	-rm -f config.cache config.log stamp-h stamp-h[0-9]*

maintainer-clean-generic:
mostlyclean-am:  mostlyclean-binPROGRAMS mostlyclean-compile \
		mostlyclean-tags mostlyclean-depend mostlyclean-generic

mostlyclean: mostlyclean-am

clean-am:  clean-binPROGRAMS clean-compile clean-tags clean-depend \
		clean-generic mostlyclean-am

clean: clean-am

distclean-am:  distclean-binPROGRAMS distclean-compile distclean-tags \
		distclean-depend distclean-generic clean-am

distclean: distclean-am

maintainer-clean-am:  maintainer-clean-binPROGRAMS \
		maintainer-clean-compile maintainer-clean-tags \
		maintainer-clean-depend maintainer-clean-generic \
		distclean-am
	@echo "This command is intended for maintainers to use;"
	@echo "it deletes files that may require special tools to rebuild."

maintainer-clean: maintainer-clean-am

.PHONY: mostlyclean-binPROGRAMS distclean-binPROGRAMS clean-binPROGRAMS \
maintainer-clean-binPROGRAMS uninstall-binPROGRAMS install-binPROGRAMS \
mostlyclean-compile distclean-compile clean-compile \
maintainer-clean-compile tags mostlyclean-tags distclean-tags \
clean-tags maintainer-clean-tags distdir mostlyclean-depend \
distclean-depend clean-depend maintainer-clean-depend info-am info \
dvi-am dvi check check-am installcheck-am installcheck install-exec-am \
install-exec install-data-am install-data install-am install \
uninstall-am uninstall all-redirect all-am all installdirs \
mostlyclean-generic distclean-generic clean-generic \
maintainer-clean-generic clean mostlyclean distclean maintainer-clean


# Tell versions [3.59,3.63) of GNU make to not export all variables.
# Otherwise a system limit (for SysV at least) may be exceeded.
.NOEXPORT:

## hydra 6.5

=== debian/changelog ===
hydra (6.5-1) unstable; urgency=low

  * New upstream release
  * Switch compat level 7 to 8
  * Change debhelper to 8 in B-D
  * debian/patches
    + Update 04_fix_spelling_error.diff

 -- Daniel Echeverry <epsilon77@gmail.com>  Wed, 20 Jul 2011 21:32:59 -0500

hydra (6.4-1) unstable; urgency=low

  * New upstream release.
  * Refresh all patches.
  * Initial Debian GNU Hurd support.
    + Use [!hurd-any] in libncp-dev B-D
    + Use [!hurd-any] in firebird2.5-dev B-D
    + Use __GNU__ macro for supported services
  * Compress package with bzip2
    + Thanks to Raphaël Hertzog
  * Update copyright.

 -- Julián Moreno Patiño <darkjunix@gmail.com>  Wed, 29 Jun 2011 01:36:00 -0500

hydra (6.3-1) unstable; urgency=low

  * New upstream release.
  * Bump Standards-Version to 3.9.2 (no changes).
  * Remove 03_avoid_ftbfs.diff
    + Merge with upstream
  * Refresh all patches
    + Rename 04_fix_spelling_error.diff
    + Patch to use /usr/bin/hydra by default in xhydra
  * Initial KfreeBSD support
    + Use [!kfreebsd-any] in libncp-dev B-D

 -- Julián Moreno Patiño <darkjunix@gmail.com>  Fri, 06 May 2011 02:59:00 -0500

hydra (6.2-1) unstable; urgency=low

  * New upstream release
  * Update copyright
    + Remove unnecessary header
    + Remove md4.h, md4.c, upstream remove them
  * Improve rules file
  * Remove hydra.1, xhydra.1, pw-inspector.1
    + Merge with upstream
  * Add libidn11-dev, libpcre3-dev in B-D
    + One B-D for line
  * Refresh patches
    + Patch to avoid FTBFS
    + Patch to fix spelling error

 -- Julián Moreno Patiño <darkjunix@gmail.com>  Sat, 09 Apr 2011 08:08:26 -0500

hydra (6.1-1) unstable; urgency=low

  [Julián Moreno Patiño]
  * New upstream release (Closes: #602923)
  * Adopted DEP5 Format
  * Updated menu file
  * Added desktop file
  * Patch to use libpq-dev instead 
    libpq-fe.h from upstream.
  
  [Daniel Echeverry]
  * Created the manpages

 -- Julián Moreno Patiño <darkjunix@gmail.com>  Mon, 14 Feb 2011 18:00:25 -0500

hydra (4.1-1) unstable; urgency=low

  * Initial release. (Closes: #254386)

 -- Andrés Roldán <aroldan@debian.org>  Thu, 17 Jun 2004 18:16:17 +0000

## hydra 7.1

=== debian/changelog ===
hydra (7.1-1build1) precise; urgency=low

  * Rebuild for libmysqlclient transition

 -- Clint Byrum <clint@ubuntu.com>  Wed, 23 Nov 2011 23:35:42 -0800

hydra (7.1-1) unstable; urgency=low

  * New upstream release
  * Drop 06_fix_manpage.diff
    + Merge with upstream
  * Refresh 02_using_supported_protocols.diff patch
  * Update 04_fix_spelling_error.diff patch
    + Some parts merge with upstream
    + Fix typo
  * Update 05_add_option_to_cflag.diff patch
    + Drop the usage of -O3 Optimization level to
      use -02 according debian policy

 -- Julián Moreno Patiño <darkjunix@gmail.com>  Tue, 11 Oct 2011 16:28:52 -0500

hydra (7.0-1) unstable; urgency=low

  * New upstream release
  * Refresh 02_using_supported_protocols.diff patch
  * Update 04_fix_spelling_error.diff patch
  * New patch 05_add_option_to_cflag.diff to
    add -g option to CFLAGS, according debian
    policy
  * New patch 06_fix_manpage.diff to fix
    hyphen-used-as-minus-sign lintian warning
  * Update 02_using_supported_protocols.diff patch
    + Enable oracle-sid and oracle-listener in xhydra
  * Update copyright file to DEP5 revision 174
  * Remove "Origin: vendor" field from patches
    + Regarding DEP3 format

 -- Julián Moreno Patiño <darkjunix@gmail.com>  Mon, 19 Sep 2011 00:04:21 -0500

=== debian/control ===
Source: hydra
Section: net
Priority: extra
Maintainer: Julián Moreno Patiño <darkjunix@gmail.com>
Uploaders: Daniel Echeverry <epsilon77@gmail.com>
Build-Depends: debhelper (>= 8),
               autotools-dev,
               libssh-dev,
               libsvn-dev,
               libmysqlclient-dev,
               libpq-dev,
               firebird2.5-dev[!hurd-any],
               libncp-dev[!kfreebsd-any !hurd-any],
               pkg-config,
               libidn11-dev,
               libpcre3-dev,
               libgtk2.0-dev
Standards-Version: 3.9.2
Homepage: http://freeworld.thc.org/thc-hydra/
Vcs-Git: git://git.debian.org/collab-maint/hydra.git
Vcs-Browser: http://git.debian.org/?p=collab-maint/hydra.git;a=summary

Package: hydra
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Suggests: hydra-gtk
Description: Very fast network logon cracker
 Hydra is a parallized login cracker which supports numerous protocols
 to attack. New modules are easy to add, beside that, it is flexible and
 very fast.
 .
 This tool gives researchers and security consultants the possiblity to
 show how easy it would be to gain unauthorized access from remote to a
 system.
 .
 Currently this tool supports:
 TELNET, FTP, HTTP, HTTPS, HTTP-PROXY, LDAP, SMB, SMBNT, MS-SQL, MySQL,
 REXEC, SOCKS5, VNC, POP3, IMAP, NNTP, PCNFS, ICQ, Cisco auth,
 Cisco enable, Cisco AAA (incorporated in telnet module).

Package: hydra-gtk
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, hydra (>= 6.1-1)
Description: Very fast network logon cracker - GTK+ based GUI
 Hydra is a parallized login cracker which supports numerous protocols
 to attack. New modules are easy to add, beside that, it is flexible and
 very fast.
 .
 This tool gives researchers and security consultants the possiblity to
 show how easy it would be to gain unauthorized access from remote to a
 system.
 .
 Currently this tool supports:
 TELNET, FTP, HTTP, HTTPS, HTTP-PROXY, LDAP, SMB, SMBNT, MS-SQL, MySQL,
 REXEC, SOCKS5, VNC, POP3, IMAP, NNTP, PCNFS, ICQ, Cisco auth,
 Cisco enable, Cisco AAA (incorporated in telnet module).
 .
 This package is the GTK+ based GUI for hydra.

=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE=1

INSTALL := install -o root -g root -m 755

%:
	dh $@ 


override_dh_auto_install:
	$(INSTALL) hydra $(CURDIR)/debian/hydra/usr/bin
	$(INSTALL) pw-inspector $(CURDIR)/debian/hydra/usr/bin
	$(INSTALL) xhydra $(CURDIR)/debian/hydra-gtk/usr/bin

override_dh_builddeb:
	dh_builddeb -- -Zbzip2

## hydra 7.2

=== debian/changelog ===
hydra (7.2-1) unstable; urgency=low

  * New upstream release.
  * Refresh 05_add_option_to_cflag.diff patch offset.
  * Extend copyright holders years.
    + Add missing copyright.		

  [Julián Moreno Patiño]
  * Add 07_remove_troubled_files.diff patch to avoid
    a FTBFS in a second row.
  * Bump debhelper to 8.1.3. (compat level 9).
  * Update 02_using_supported_protocols.diff patch to add
    support of AFP protocol to Linux and KfreeBSD arches.
    + Add libafpclient-dev[!hurd-any] to B-D.

 -- Daniel Echeverry <epsilon77@gmail.com>  Thu, 16 Feb 2012 23:32:00 -0500

hydra (7.1-2) unstable; urgency=low

  * Switch compat level 8 to 9 to use hardening flags.
  * Update 05_add_option_to_cflag.diff patch
    to use properly Hardening flags.
  * Add 06_show_xhydra_build_output.diff patch
    to show verbose build mode in xhydra.
  * Remove unnecessary newline in debian/rules.
  * Use firebird-dev instead firebird2.5-dev in B-D. (Closes: #653377)
  * Add lintian override to fix
    package-needs-versioned-debhelper-build-depends 
    warning for experimental debhelper version.

  [Ludovico Cavedon]
  * Add DM-Upload-Allowed.

 -- Julián Moreno Patiño <darkjunix@gmail.com>  Sat, 31 Dec 2011 12:42:34 -0500

=== debian/control ===
--- 
+++ 
@@ -3,13 +3,15 @@
 Priority: extra
 Maintainer: Julián Moreno Patiño <darkjunix@gmail.com>
 Uploaders: Daniel Echeverry <epsilon77@gmail.com>
-Build-Depends: debhelper (>= 8),
+DM-Upload-Allowed: yes
+Build-Depends: debhelper (>= 8.1.3),
                autotools-dev,
+               libafpclient-dev[!hurd-any],
                libssh-dev,
                libsvn-dev,
                libmysqlclient-dev,
                libpq-dev,
-               firebird2.5-dev[!hurd-any],
+               firebird-dev[!hurd-any],
                libncp-dev[!kfreebsd-any !hurd-any],
                pkg-config,
                libidn11-dev,

=== debian/watch ===
version=3
http://www.thc.org/thc-hydra/releases/hydra-(.*)-src\.tar\.gz

## hydra 7.3

=== debian/changelog ===
hydra (7.3-1) unstable; urgency=low

  * New upstream release.
  * Remove 04_fix_spelling_error.diff patch
    + Merge with upstream.
  * Remove some lines in 05_add_option_to_cflag.diff patch.
    + Merge with upstream.
    + Improve DEP3 Description.
  * Refresh 07_remove_troubled_files.diff patch offset.
  * Add 04_fix_hyphen-used-as-minus-sign.diff patch to
    fix hyphen-used-as-minus-sign lintian warning in the
    manpage.

 -- Julián Moreno Patiño <darkjunix@gmail.com>  Wed, 23 May 2012 21:25:24 -0500

hydra (7.2-2) unstable; urgency=low

  * Update 05_add_option_to_cflag.diff patch to use properly
    Hardening flags. (Closes: #665281)
    + Thanks to Simon Ruderich for the patch.
  * Bump debhelper to 9 in B-D.
    + Remove debian/source/lintian-overrides to do lintian happy
      about package-needs-versioned-debhelper-build-depends 9.
  * Bump Standards-Version to 3.9.3.
    + Update to DEP5 copyright format 1.0.

 -- Daniel Echeverry <epsilon77@gmail.com>  Sat, 24 Mar 2012 23:51:36 -0500

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Julián Moreno Patiño <darkjunix@gmail.com>
 Uploaders: Daniel Echeverry <epsilon77@gmail.com>
 DM-Upload-Allowed: yes
-Build-Depends: debhelper (>= 8.1.3),
+Build-Depends: debhelper (>= 9),
                autotools-dev,
                libafpclient-dev[!hurd-any],
                libssh-dev,
@@ -17,7 +17,7 @@
                libidn11-dev,
                libpcre3-dev,
                libgtk2.0-dev
-Standards-Version: 3.9.2
+Standards-Version: 3.9.3
 Homepage: http://freeworld.thc.org/thc-hydra/
 Vcs-Git: git://git.debian.org/collab-maint/hydra.git
 Vcs-Browser: http://git.debian.org/?p=collab-maint/hydra.git;a=summary

## hydra 7.4.2

=== debian/changelog ===
hydra (7.4.2-2) unstable; urgency=low

  * Use ${binary:Version} in hydra-gtk package
    instead bump manually the version.
  * Disable libafpclient-dev support due to #702889
    + Update 02_using_supported_protocols.diff patch to remove
      the support of afp protocol.
  * Use canonical URIs for Vcs-* fields.
  * Add Keywords entry to d/hydra-gtk.desktop.

 -- Julián Moreno Patiño <julian@debian.org>  Mon, 15 Jul 2013 15:44:45 -0500

hydra (7.4.2-1) unstable; urgency=low

  * New upstream release.

 -- Daniel Echeverry <epsilon77@gmail.com>  Sat, 12 Jan 2013 09:23:51 -0500

hydra (7.4-1) unstable; urgency=low

  * New upstream release.
  * d/watch: Update regular expression.
  * d/control:
    + Remove DM-Upload-Allowed.
    + Update my email.
    + Add libncurses-dev to B-D.
    + Improve description. Thanks to Justin B Rye. (Closes: #680540)
    + Bump Standards-Version to 3.9.4 (no changes).
  * d/copyright: Update my email.
  * d/patches:
    + Refresh 02_using_supported_protocols.diff patch offset.
    + Update 04_fix_hyphen-used-as-minus-sign.diff.
    + Refresh 05_add_option_to_cflag.diff patch offset.
    + Add 08_fix_spelling_mistakes.diff patch to fix spelling
      mistakes.

 -- Julián Moreno Patiño <julian@debian.org>  Sun, 23 Dec 2012 14:22:46 -0500

=== debian/control ===
Source: hydra
Section: net
Priority: extra
Maintainer: Julián Moreno Patiño <julian@debian.org>
Uploaders: Daniel Echeverry <epsilon77@gmail.com>
Build-Depends: autotools-dev,
 debhelper (>= 9),
 firebird-dev[!hurd-any],
 libgtk2.0-dev,
 libidn11-dev,
 libmysqlclient-dev,
 libncp-dev[!kfreebsd-any !hurd-any],
 libncurses-dev,
 libpcre3-dev,
 libpq-dev,
 libssh-dev,
 libsvn-dev,
 pkg-config
Standards-Version: 3.9.4
Homepage: http://freeworld.thc.org/thc-hydra/
Vcs-Git: git://anonscm.debian.org/collab-maint/hydra.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/hydra.git;a=summary

Package: hydra
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Suggests: hydra-gtk
Description: very fast network logon cracker
 Hydra is a parallelized login cracker which supports numerous protocols
 to attack. It is very fast and flexible, and new modules are easy to add.
 .
 This tool makes it possible for researchers and security consultants to
 show how easy it would be to gain unauthorized access to a system
 remotely.
 .
 It supports: Cisco AAA, Cisco auth, Cisco enable, CVS, FTP, HTTP(S)-FORM-GET,
 HTTP(S)-FORM-POST, HTTP(S)-GET, HTTP(S)-HEAD, HTTP-Proxy, ICQ, IMAP, IRC,
 LDAP, MS-SQL, MySQL, NNTP, Oracle Listener, Oracle SID, PC-Anywhere, PC-NFS,
 POP3, PostgreSQL, RDP, Rexec, Rlogin, Rsh, SIP, SMB(NT), SMTP, SMTP Enum,
 SNMP v1+v2+v3, SOCKS5, SSH (v1 and v2), SSHKEY, Subversion, Teamspeak (TS2),
 Telnet, VMware-Auth, VNC and XMPP.

Package: hydra-gtk
Architecture: any
Depends: hydra (>= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
Description: very fast network logon cracker - GTK+ based GUI
 Hydra is a parallelized login cracker which supports numerous protocols
 to attack. It is very fast and flexible, and new modules are easy to add.
 .
 This tool makes it possible for researchers and security consultants to
 show how easy it would be to gain unauthorized access to a system
 remotely.
 .
 It supports: Cisco AAA, Cisco auth, Cisco enable, CVS, FTP, HTTP(S)-FORM-GET,
 HTTP(S)-FORM-POST, HTTP(S)-GET, HTTP(S)-HEAD, HTTP-Proxy, ICQ, IMAP, IRC,
 LDAP, MS-SQL, MySQL, NNTP, Oracle Listener, Oracle SID, PC-Anywhere, PC-NFS,
 POP3, PostgreSQL, RDP, Rexec, Rlogin, Rsh, SIP, SMB(NT), SMTP, SMTP Enum,
 SNMP v1+v2+v3, SOCKS5, SSH (v1 and v2), SSHKEY, Subversion, Teamspeak (TS2),
 Telnet, VMware-Auth, VNC and XMPP.
 .
 This package provides the GTK+ based GUI for hydra.

## hydra 7.5

=== debian/changelog ===
hydra (7.5-2) unstable; urgency=low

  * debian/control
    + Remove libncp-dev in B-D. (Closes: #728864)
  * debian/patches
    + Refresh 02_using_supported_protocols.diff patch.
      + Remove the support of ncp protocol.

 -- Daniel Echeverry <epsilon77@gmail.com>  Fri, 15 Nov 2013 22:02:21 -0500

hydra (7.5-1) unstable; urgency=low

  * New upstream release
  * debian/copyright
    + Move the license from GPL-3.0+ to AGPL-3.0 with OpenSSL exception
    + Extend copyright holders years
  * debian/patches
    + Refreshed patch 02_using_supported_protocols.diff
    + Refreshed patch 05_add_option_to_cflag.diff
    + Refreshed patch 07_remove_troubled_files.diff
    + Refreshed patch 08_fix_spelling_mistakes.diff

 -- Daniel Echeverry <epsilon77@gmail.com>  Sat, 31 Aug 2013 22:28:57 -0500

=== debian/control ===
--- 
+++ 
@@ -9,7 +9,6 @@
  libgtk2.0-dev,
  libidn11-dev,
  libmysqlclient-dev,
- libncp-dev[!kfreebsd-any !hurd-any],
  libncurses-dev,
  libpcre3-dev,
  libpq-dev,

=== debian/rules ===
--- 
+++ 
@@ -6,7 +6,6 @@
 %:
 	dh $@ 
 
-
 override_dh_auto_install:
 	$(INSTALL) hydra $(CURDIR)/debian/hydra/usr/bin
 	$(INSTALL) pw-inspector $(CURDIR)/debian/hydra/usr/bin

=== debian/watch ===
version=3
http://www.thc.org/thc-hydra/releases/hydra-(.*)\.tar\.gz

## hydra 8.0

=== debian/changelog ===
hydra (8.0-1) unstable; urgency=medium

  * New upstream release. (LP: #1275463)
  * debian/control
    + Bump Standards-Version to 3.9.5 (no changes).
    + Add dh-exec in B-D
    + Add wget | curl to Recommends field
  * debian/patches
    + Refresh all patches
    + Add 09_use_correct_install_dir_dlp4hydra.diff
      + Change upstream path for one suitable for GNU Debian
  * debian/copyright
    + Extend copyright holders years
    + Add dpl4hydra.sh copyright 
  * Remove debian/source/options
    + Use xz compression.
  * debian/rules
    + Remove override_dh_builddeb
      + Now dpkg-deb uses xz compression by default
  * debian/hydra.manpages
    + Add dpl4hydra.1 file
    + Add hydra-wizard.1 file
  * Add hydra.install file
    + Include two new scripts
      + dpl4hydra: Generate a default password list
      + hydra-wizard: A wizard script to use Hydra

 -- Daniel Echeverry <epsilon77@gmail.com>  Fri, 30 May 2014 22:05:44 -0500

=== debian/control ===
--- 
+++ 
@@ -14,8 +14,9 @@
  libpq-dev,
  libssh-dev,
  libsvn-dev,
- pkg-config
-Standards-Version: 3.9.4
+ pkg-config, 
+ dh-exec
+Standards-Version: 3.9.5
 Homepage: http://freeworld.thc.org/thc-hydra/
 Vcs-Git: git://anonscm.debian.org/collab-maint/hydra.git
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/hydra.git;a=summary
@@ -24,6 +25,7 @@
 Architecture: any
 Depends: ${misc:Depends}, ${shlibs:Depends}
 Suggests: hydra-gtk
+Recommends: wget | curl
 Description: very fast network logon cracker
  Hydra is a parallelized login cracker which supports numerous protocols
  to attack. It is very fast and flexible, and new modules are easy to add.

## hydra 8.1

=== Makefile ===
all:
	@echo Error: you must run "./configure" first

clean:
	cp -f Makefile.orig Makefile

=== debian/changelog ===
hydra (8.1-1build2) xenial; urgency=medium

  * Rebuild against libmysqlclient20.

 -- Robie Basak <robie.basak@ubuntu.com>  Tue, 05 Apr 2016 12:25:55 +0000

hydra (8.1-1build1) xenial; urgency=medium

  * No-change rebuild for ncurses6 transition.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 06 Feb 2016 20:52:56 +0000

hydra (8.1-1) unstable; urgency=medium

  * New upstream release.
  * Bump Standards-Version to 3.9.6 (no changes).
  * Refresh 02_using_supported_protocols.diff and
    08_fix_spelling_mistakes.diff patches.
  * Remove d/source/options, now xz format is default.
  * Update 08_fix_spelling_mistakes.diff patch.
  * d/copyright: Add missing License values.

 -- Julián Moreno Patiño <julian@debian.org>  Wed, 10 Dec 2014 07:33:34 -0500

=== debian/control ===
--- 
+++ 
@@ -16,7 +16,7 @@
  libsvn-dev,
  pkg-config, 
  dh-exec
-Standards-Version: 3.9.5
+Standards-Version: 3.9.6
 Homepage: http://freeworld.thc.org/thc-hydra/
 Vcs-Git: git://anonscm.debian.org/collab-maint/hydra.git
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/hydra.git;a=summary

=== debian/rules ===
--- 
+++ 
@@ -10,6 +10,3 @@
 	$(INSTALL) hydra $(CURDIR)/debian/hydra/usr/bin
 	$(INSTALL) pw-inspector $(CURDIR)/debian/hydra/usr/bin
 	$(INSTALL) xhydra $(CURDIR)/debian/hydra-gtk/usr/bin
-
-override_dh_builddeb:
-	dh_builddeb -- -Zbzip2

## hydra 8.3

=== debian/changelog ===
hydra (8.3-3) unstable; urgency=medium

  * Team upload.

  [ Gianfranco Costamagna ]
  * Fix newline in manpage (Closes: #853807)

  [ Lukas Schwaighofer ]
  * Allocate required pointer size correctly.  This fixes an issue with
    session restore (`hydra -R`) causing the forked hydra processes to die
    with a "double free or corruption" error. (Closes: #861058)

 -- Lukas Schwaighofer <lukas@schwaighofer.name>  Wed, 03 May 2017 19:06:30 +0200

hydra (8.3-2) unstable; urgency=medium

  * Team upload.
  * debian/control
    + Use default-libmysqlclient-dev instead of libmysqlclient-dev (Closes: #845853)
  * debian/hydra-gtk.desktop
    + Remove pointless localization ("GenericName[en_GB]="  =>  "GenericName=").
      The file does not contain multiple localization options but it only contains
      en_GB, it usually happens when a launcher is modified through the gnome/mate
      launcher editor, that adds the current localization string to the modified parts
      and may cause unwanted behaviors on machines with a different locale setup.

 -- Lorenzo "Palinuro" Faletra <palinuro@parrotsec.org>  Sun, 27 Nov 2016 12:22:24 +0100

hydra (8.3-1) unstable; urgency=medium

  [ Samuel Henrique ]
  * Update watch file.

  [ Daniel Echeverry ]
  * New upstream release.
  * debian/control
    + Fix unusual field spacing in field uploaders.
  * debian/patches
    + Refresh 02_using_supported_protocols.diff patch.
    + Refresh 08_fix_spelling_mistakes.diff patch.
    + Refresh 10_fix_typos_in_manpage.diff patch.
    + Remove 11_fix_ftbfs_with_openssl.diff patch.
      + Merge with upstream.

 -- Daniel Echeverry <epsilon77@gmail.com>  Wed, 07 Sep 2016 22:23:29 -0500

hydra (8.2-2) unstable; urgency=medium

  * debian/patches
    + Add 11_fix_ftbfs_with_openssl.diff patch
      + Fix FTBFS with openssl 1.1. (Closes: #828345)

 -- Daniel Echeverry <epsilon77@gmail.com>  Mon, 27 Jun 2016 11:49:52 -0500

hydra (8.2-1) unstable; urgency=medium

  [ Daniel Echeverry ]
  * New upstream release. (Closes: #827478)
  * debian/control
    + Bump Standards-Version to 3.9.8 (no changes).
    + Change Vcs-* fields.
    + Add Debian Security Tools Packaging Team as maintainer.
  * debian/patches
    + Refresh 02_using_supported_protocols.diff patch.
    + Refresh 09_use_correct_install_dir_dlp4hydra.diff patch.
    + Refresh 07_remove_troubled_files.diff patch.
    + Refresh 08_fix_spelling_mistakes.diff patch.
    + Add 10_fix_typos_in_manpage.diff patch.
      + Fix some typos in manpage.
  * Remove hydra-gtk.menu file.
  * debian/rules
    + Use Hardening flags.
  * debian/copyright
    + Add name to PostgreSQL license

  [ Raphaël Hertzog ]
  * Don't export CFLAGS/CPPFLAGS/LDFLAGS manually, dh does it for us already.

 -- Daniel Echeverry <epsilon77@gmail.com>  Thu, 16 Jun 2016 14:17:50 -0500

=== debian/control ===
--- 
+++ 
@@ -1,14 +1,14 @@
 Source: hydra
 Section: net
 Priority: extra
-Maintainer: Julián Moreno Patiño <julian@debian.org>
-Uploaders: Daniel Echeverry <epsilon77@gmail.com>
+Maintainer: Debian Security Tools Packaging Team <pkg-security-team@lists.alioth.debian.org> 
+Uploaders: Julián Moreno Patiño <julian@debian.org>, Daniel Echeverry <epsilon77@gmail.com>
 Build-Depends: autotools-dev,
  debhelper (>= 9),
  firebird-dev[!hurd-any],
  libgtk2.0-dev,
  libidn11-dev,
- libmysqlclient-dev,
+ default-libmysqlclient-dev,
  libncurses-dev,
  libpcre3-dev,
  libpq-dev,
@@ -16,10 +16,10 @@
  libsvn-dev,
  pkg-config, 
  dh-exec
-Standards-Version: 3.9.6
+Standards-Version: 3.9.8
 Homepage: http://freeworld.thc.org/thc-hydra/
-Vcs-Git: git://anonscm.debian.org/collab-maint/hydra.git
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/hydra.git;a=summary
+Vcs-Git: https://anonscm.debian.org/git/pkg-security/hydra.git
+Vcs-Browser: https://anonscm.debian.org/cgit/pkg-security/hydra.git
 
 Package: hydra
 Architecture: any

=== debian/rules ===
--- 
+++ 
@@ -1,6 +1,6 @@
 #!/usr/bin/make -f
 #export DH_VERBOSE=1
-
+export DEB_BUILD_MAINT_OPTIONS = hardening=+all
 INSTALL := install -o root -g root -m 755
 
 %:
